Events_debugmode: ; fobO[h
  lda <Events_status
  beq Events_debugmode_init

  ; R}hXgɂ镪
  lda Adv_clistIndex
  asl a
  tax
  lda Events_debugmode_clists, x
  sta <address1_LSB
  inx
  lda Events_debugmode_clists, x
  sta <address1_MSB
  jmp [address1_LSB]

Events_debugmode_clists:
  .dw Events_debugmode_list0
  .dw Events_debugmode_list1
  .dw Events_debugmode_list2


Events_debugmode_updateInfo:
  lda REG_PPU_2
  lda #$20
  sta REG_PPU_6
  lda #$62
  sta REG_PPU_6
  lda Image1_index
  clc
  adc #$10
  sta REG_PPU_7
  lda Image2_index
  clc
  adc #$10
  sta REG_PPU_7
  lda Snd_bgm
  clc
  adc #$10
  sta REG_PPU_7
  lda <work4
  clc
  adc #$10
  sta REG_PPU_7
  lda <work5
  clc
  adc #$10
  sta REG_PPU_7
  rts


Events_debugmode_init:
  lda <pad1
  and #$28 ; Select + 
  cmp #$28
  beq .enableDebugmode
.disableDebugmode:
  inc <Events_currentLoc ; location #1 ŏ
  lda #4
  sta Adv_seqIndex ; v[O
  lda #2
  sta Adv_skip ; R}hXg̃XLbv
  lda #0
  sta <Events_status
  rts
.enableDebugmode:
  lda #0 ; fobO[h
  sta Adv_seqIndex
  sta Adv_clistIndex ; fobOj[#0
  jmp Events_debugmode_updateInfo


Events_debugmode_list0:
.cmd0: ; 摜i
  lda Adv_clistSelected
  bne .cmd1
  lda #0 ; fobO[h
  sta Adv_seqIndex
  inc Image1_index
  lda Image1_index
  cmp #31
  bcc .loadImage
  lda #0
  sta Image1_index
  beq .loadImage
.cmd1: ; 摜߂
  cmp #1
  bne .cmd2
  lda #0 ; fobO[h
  sta Adv_seqIndex
  dec Image1_index
  lda Image1_index
  cmp #$FF
  bne .loadImage
  lda #30
  sta Image1_index
.loadImage:
  ldx <currentActivity
  inx
  lda #4
  sta activities, x
  jmp Events_debugmode_updateInfo
.cmd2: ; i
  cmp #2
  bne .cmd3
  lda #0 ; fobO[h
  sta Adv_seqIndex
  inc Image2_index
  lda Image2_index
  cmp #5
  bcc .loadIcon
  lda #0
  sta Image2_index
  beq .loadIcon
.cmd3: ; ߂
  cmp #3
  bne .cmd4
  lda #0 ; fobO[h
  sta Adv_seqIndex
  dec Image2_index
  lda Image2_index
  cmp #$FF
  bne .loadIcon
  lda #4
  sta Image2_index
.loadIcon:
  ldx <currentActivity
  inx
  lda #5
  sta activities, x
  jmp Events_debugmode_updateInfo
.cmd4: ; 
  inc Adv_clistIndex
  lda #1
  sta Adv_skip ; ʍXVV[PX̃XLbv
  rts

Events_debugmode_list1:
.cmd0: ; Ȑi
  lda Adv_clistSelected
  bne .cmd1
  lda #0 ; fobO[h
  sta Adv_seqIndex
  inc Snd_bgm
  lda Snd_bgm
  cmp #8
  bcc .updateInfo0
  lda #0
  sta Snd_bgm
  beq .updateInfo0
.cmd1: ; Ȗ߂
  cmp #1
  bne .cmd2
  lda #0 ; fobO[h
  sta Adv_seqIndex
  dec Snd_bgm
  lda Snd_bgm
  cmp #$FF
  bne .updateInfo0
  lda #7
  sta Snd_bgm
.updateInfo0:
  jmp Events_debugmode_updateInfo
.cmd2: ; ʉi
  cmp #2
  bne .cmd3
  lda #0 ; fobO[h
  sta Adv_seqIndex
  inc <work4
  lda <work4
  cmp #8
  bcc .updateInfo1
  lda #0
  sta <work4
  beq .updateInfo1
.cmd3: ; ʉ߂
  cmp #3
  bne .cmd4
  lda #0 ; fobO[h
  sta Adv_seqIndex
  dec <work4
  lda <work4
  cmp #$FF
  bne .updateInfo1
  lda #7
  sta <work4
.updateInfo1:
  lda <work4
  sta Snd_sfx
  jmp Events_debugmode_updateInfo
.cmd4: ; 
  inc Adv_clistIndex
  lda #1
  sta Adv_skip ; ʍXVV[PX̃XLbv
  rts

Events_debugmode_list2:
.cmd0: ; kvX
  lda Adv_clistSelected
  bne .cmd1
  lda #0 ; fobO[h
  sta Adv_seqIndex
  inc <work5
  jmp Events_debugmode_updateInfo
.cmd1: ; k}CiX
  cmp #1
  bne .cmd2
  lda #0 ; fobO[h
  sta Adv_seqIndex
  dec <work5
  jmp Events_debugmode_updateInfo
.cmd2: ; Wv
  cmp #2
  bne .cmd3
  lda <work5
  sta <Events_currentLoc
  lda #0
  sta <Events_status
  lda #3
  sta Adv_skip ; ʍXVV[PXAR}hXg̃XLbv
  rts
.cmd3: ; 
  lda #0
  sta Adv_clistIndex
  lda #1
  sta Adv_skip ; ʍXVV[PX̃XLbv
  rts

Events_debugmode_list3: ; \
Events_debugmode_list4: ; \
  rts
