; Password/SYSTEM1.1
; Copyright (C) 2011 saguruma
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program.  If not, see <http://www.gnu.org/licenses/>.

; *** RAM reserve ***
Password_input     = $0500 ; pX[h͗p[N(15)
Password_result    = $050F ; ʕԋpp 0:OK 1:NG

Password_create:
  ldx <currentActivity
  lda processCounters, x
.proc0: ; Events_currentLoc
  bne .proc1
  lda #$00
  tay
  sta <RNG_crc_LSB ; CRCNA
  sta <RNG_crc_MSB
  sta Adv_vardata, y
  iny
  lda Events_currentLoc
  jsr RNG_updateCRC
  clc
  adc #$10
  sta Adv_vardata, y
  inc processCounters, x
  rts
.proc1: ;  Events_activities+1, +2, +3, +4
  cmp #1
  bne .proc2
  ldy #2
  lda #$00
  sta Adv_vardata, y
  iny
  lda Events_activities+1
  and #$F0
  sta <work1
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  iny
  lda #$00
  sta Adv_vardata, y
  iny
  lda Events_activities+2
  and #$F0
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  and #$0F
  ora <work1
  jsr RNG_updateCRC
  iny
  lda #$00
  sta Adv_vardata, y
  iny
  lda Events_activities+3
  and #$F0
  sta <work1
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  iny
  lda #$00
  sta Adv_vardata, y
  iny
  lda Events_activities+4
  and #$F0
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  and #$0F
  ora <work1
  jsr RNG_updateCRC
  inc processCounters, x
  rts
.proc2: ; +5, +6, +7, +8
  cmp #2
  bne .proc3
  ldy #10
  lda #$00
  sta Adv_vardata, y
  iny
  lda Events_activities+5
  and #$F0
  sta <work1
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  iny
  lda #$00
  sta Adv_vardata, y
  iny
  lda Events_activities+6
  and #$F0
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  and #$0F
  ora <work1
  jsr RNG_updateCRC
  iny
  lda #$00
  sta Adv_vardata, y
  iny
  lda Events_activities+7
  and #$F0
  sta <work1
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  iny
  lda #$00
  sta Adv_vardata, y
  iny
  lda Events_activities+8
  and #$F0
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  and #$0F
  ora <work1
  jsr RNG_updateCRC
  inc processCounters, x
  rts
.proc3: ; +9, +10, +11, +12
  cmp #3
  bne .proc4
  ldy #18
  lda #$00
  sta Adv_vardata, y
  iny
  lda Events_activities+9
  and #$F0
  sta <work1
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  iny
  lda #$00
  sta Adv_vardata, y
  iny
  lda Events_activities+10
  and #$F0
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  and #$0F
  ora <work1
  jsr RNG_updateCRC
  iny
  lda #$00
  sta Adv_vardata, y
  iny
  lda Events_activities+11
  and #$F0
  sta <work1
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  iny
  lda #$00
  sta Adv_vardata, y
  iny
  lda Events_activities+12
  and #$F0
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  and #$0F
  ora <work1
  jsr RNG_updateCRC
  inc processCounters, x
  rts
.proc4: ; CRC(2)
  ldy #26
  lda #$00
  sta Adv_vardata, y
  iny
  lda <RNG_crc_LSB
  pha
  lsr a
  lsr a
  lsr a
  lsr a
  ora #$10
  sta Adv_vardata, y
  iny
  lda #$00
  sta Adv_vardata, y
  iny
  pla
  and #$0F
  ora #$10
  sta Adv_vardata, y
  iny
  lda #$FF
  sta Adv_vardata, y

  lda #3 ; next #3 ʍXV
  sta activities, x
  lda #2 ; R}hXgXLbv
  sta Adv_skip
  lda #0 ; JE^ACxgԁAItÕNA
  sta processCounters, x
  sta <Events_status
  sta Adv_clistSelected
  ;lda #3 ; #3 pX[ho̓V[PX
  ;sta Adv_seqIndex ; {̃CxgV[PXʂ̂ŊO
  ;asl a
  ;tay
  ldy #6 ; #3 *2 NbNߖ...
  lda Adv_seqvector, y
  sta <Adv_seq_LSB
  iny
  lda Adv_seqvector, y
  sta <Adv_seq_MSB
  rts


Password_load:
  ldx <currentActivity
  lda processCounters, x
.proc0: ; Events_currentLoc
  bne .proc1
  lda #$01
  sta Password_result ; ʃtONGNA

  lda #$00 ; CRCNA
  sta <RNG_crc_LSB
  sta <RNG_crc_MSB
  lda Password_input
  sec
  sbc #$10
  jsr RNG_updateCRC
  inc processCounters, x
  rts
.proc1: ; Events_activities+1, +2, +3, +4
  cmp #1
  bne .proc2
  lda Password_input+1
  asl a
  asl a
  asl a
  asl a
  sta <work1
  lda Password_input+2
  and #$0F
  ora <work1
  jsr RNG_updateCRC
  lda Password_input+3
  asl a
  asl a
  asl a
  asl a
  sta <work1
  lda Password_input+4
  and #$0F
  ora <work1
  jsr RNG_updateCRC
  inc processCounters, x
  rts
.proc2: ; Events_activities+5, +6, +7, +8
  cmp #2
  bne .proc3
  lda Password_input+5
  asl a
  asl a
  asl a
  asl a
  sta <work1
  lda Password_input+6
  and #$0F
  ora <work1
  jsr RNG_updateCRC
  lda Password_input+7
  asl a
  asl a
  asl a
  asl a
  sta <work1
  lda Password_input+8
  and #$0F
  ora <work1
  jsr RNG_updateCRC
  inc processCounters, x
  rts
.proc3: ; Events_activities+9, +10, +11, +12
  cmp #3
  bne .proc4
  lda Password_input+9
  asl a
  asl a
  asl a
  asl a
  sta <work1
  lda Password_input+10
  and #$0F
  ora <work1
  jsr RNG_updateCRC
  lda Password_input+11
  asl a
  asl a
  asl a
  asl a
  sta <work1
  lda Password_input+12
  and #$0F
  ora <work1
  jsr RNG_updateCRC
  inc processCounters, x
  rts
.proc4:
  cmp #4
  bne .proc5
  lda Password_input+13
  asl a
  asl a
  asl a
  asl a
  sta <work1
  lda Password_input+14
  and #$0F
  ora <work1
  cmp <RNG_crc_LSB
  beq .ok
.ng:
  inc activities, x ; activity +1
  lda #0
  sta processCounters, x
  rts
.ok:
  dec Password_result ; ʃtOOK
  inc processCounters, x
  rts
.proc5: ; Events_currentLoc
  cmp #5
  bne .proc6
  lda Password_input
  sec
  sbc #$10
  sta Events_currentLoc
  inc processCounters, x
  rts
.proc6: ; Events_activities+1, +2, +3, +4
  cmp #6
  bne .proc7
  lda Password_input+1
  asl a
  asl a
  asl a
  asl a
  sta Events_activities+1
  lda Password_input+2
  asl a
  asl a
  asl a
  asl a
  sta Events_activities+2
  lda Password_input+3
  asl a
  asl a
  asl a
  asl a
  sta Events_activities+3
  lda Password_input+4
  asl a
  asl a
  asl a
  asl a
  sta Events_activities+4
  inc processCounters, x
  rts
.proc7: ; Events_activities+5, +6, +7, +8
  cmp #7
  bne .proc8
  lda Password_input+5
  asl a
  asl a
  asl a
  asl a
  sta Events_activities+5
  lda Password_input+6
  asl a
  asl a
  asl a
  asl a
  sta Events_activities+6
  lda Password_input+7
  asl a
  asl a
  asl a
  asl a
  sta Events_activities+7
  lda Password_input+8
  asl a
  asl a
  asl a
  asl a
  sta Events_activities+8
  inc processCounters, x
  rts
.proc8: ; Events_activities+9, +10, +11, +12
  cmp #8
  bne .proc9
  lda Password_input+9
  asl a
  asl a
  asl a
  asl a
  sta Events_activities+9
  lda Password_input+10
  asl a
  asl a
  asl a
  asl a
  sta Events_activities+10
  lda Password_input+11
  asl a
  asl a
  asl a
  asl a
  sta Events_activities+11
  lda Password_input+12
  asl a
  asl a
  asl a
  asl a
  sta Events_activities+12
  inc processCounters, x
  rts
.proc9:
  inc activities, x ; activity +1
  lda #0
  sta processCounters, x
  rts
