; sound module Version 1.1
; Copyright (C) 2011 saguruma
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program.  If not, see <http://www.gnu.org/licenses/>.

; BGM/SFXf[^
;   [command(1byte)] ([data(1byte)]) ...
;
; 擪AhXxN^Snd_bgmvector/Snd_sfxvectorɒ`BSnd_bgm/Snd_sfxɃTEhԍIA
; Snd_currentbgm/Snd_currentsfxƈقȂꍇAITEhԍ擪ĐB
; TEhԍ0Ԃ́Aɐݒ肷邱Ƃ𐄏B
; TEhf[^𒀎߁AAPŨWX^ɑBe`lɑΉJE^A
; ꂪ0ȊȌꍇȊOŊY`l̃f[^f[^Ɍꂽꍇ́AJE^0ɂȂ܂őҋ@B
; e`lƗăf[^tFb` *Ȃ* ̂ŁAf[^̏ɒӂ邱ƁB
; itɁÃ`lɔĂȂxȗłꍇj
; ʉo͂PSG#1ŒBf[^\͓ŃJE^Aݒe͓ƗĂB
; JE^0łȂ`l̑삪o܂ŁAf[^͂Pt[ŏ悤ƂB
;

; R}hi{Iɉ3bit`lԍj
; $00: PSG#0 Rg[#0
; $01: PSG#1 Rg[#0
; $03: NOISE Rg[#0
; $04: DMC   f[^Zbg
; $05: SFX   Rg[#0
;
; $10: PSG#0 Rg[#1 XC[vݒ
; $11: PSG#1 Rg[#1 XC[vݒ
; $15: SFX   Rg[#1 XC[vݒ
;
; $20: PSG#0 JE^ݒ
; $21: PSG#1 JE^ݒ
; $22: PSG#2 JE^ݒ
; $23: NOISE JE^ݒ
; $24: DMC   JE^ݒ
; $25: SFX   JE^ݒ
;      data: frames(0-255)
;      *~* ܂Ńt[ݒ肷BxB
;      ̃`lɑ΂鑀̓EFCgɂȂ邽߁AׂĂ̋xɕK{ł͂ȂB
;
; $30: PSG#0 KIEJnEJE^ݒ
; $31: PSG#1 KIEJnEJE^ݒ
; $32: PSG#2 KIEJnEJE^ݒ
; $35: SFX   KIEJnEJE^ݒ
;      data: OOOONNNN, frames(0-255)
;            ||||++++- K0-B
;            ||||      l 0 l 1 l 2 l 3 l 4 l 5 l 6 l 7 l 8 l 9 l A l B l C l D l E l F l
;            ||||      l a l a+l b l c l c+l d l d+l e l f l f+l g l g+l x l x l x l x l
;            ++++----- IN^[u0-8
; $33: NOISE gIEJnEJE^ݒ
;      data: LxxxNNNN, frames(0-255)
;            |   ++++- g0-F
;            +-------- g[hiꕔ̌݊@A̋@ȂǂŐɓ삵Ȃꍇj
; $34: DMC   Jn
;      data: frames(0-255)
;
; $FF: f[^I[
;      data: Ȃ
;      BGM͐擪ɂǂBSFX͔ԍ0ɕύXB
;
; LFO̎͌...

; *** I/O Register ***
REG_APU_CH0_0      = $4000 ; APU CH#0 control #0(duty/envelope/volume)
                           ; bit6-7 duty
                           ; bit5   envelope mode(loop/length)
                           ; bit4   envelope disable
                           ; bit0-3 volume/envelope
REG_APU_CH0_1      = $4001 ; APU CH#0 control #1(sweep)
                           ; bit7   enable sweep
                           ; bit4-6 speed
                           ; bit3   inc/dec
                           ; bit0-2 shift
REG_APU_CH0_2      = $4002 ; APU CH#0 freq.(low)
REG_APU_CH0_3      = $4003 ; APU CH#0 freq.(high) / seq. length index
REG_APU_CH1_0      = $4004 ; APU CH#1 control #0
REG_APU_CH1_1      = $4005 ; APU CH#1 control #1
REG_APU_CH1_2      = $4006 ; APU CH#1 freq.(low)
REG_APU_CH1_3      = $4007 ; APU CH#1 freq.(high) / seq. length index
REG_APU_TRI_0      = $4008 ; APU CH#2(triangle) control #0
                           ; bit7   control
                           ; bit0-6 linear counter load
REG_APU_TRI_2      = $400A ; APU CH#2 freq.(low)
REG_APU_TRI_3      = $400B ; APU CH#2 freq.(high) / seq. length index
REG_APU_NOI_0      = $400C ; APU CH#3(noise) control #0 (envelope/volume)
REG_APU_NOI_2      = $400E ; APU CH#3 freq.
                           ; bit7   enable LF
                           ; bit0-3 freq. index
REG_APU_NOI_3      = $400F ; APU CH#3 seq. length index
REG_APU_DMC_0      = $4010 ; APU CH#4(DMC) control #0(IRQ/loop/freq)
                           ; bit7   enable IRQ
                           ; bit6   enable loop
                           ; bit0-3 freq. index
REG_APU_DMC_1      = $4011 ; APU CH#4 DAC load
REG_APU_DMC_2      = $4012 ; APU CH#4 data address
REG_APU_DMC_3      = $4013 ; APU CH#4 data length
REG_APU_STATUS     = $4015 ; APU enable seq. length counter
                           ; bit7   DMC IRQ (read only)
                           ; bit6   frame IRQ (read only)
                           ; bit4   CH#4
                           ; bit3   CH#3
                           ; bit2   CH#2
                           ; bit1   CH#1
                           ; bit0   CH#0
REG_APU_SEQ        = $4017 ; APU frame seq.
                           ; bit7   enable 5-frame mode
                           ; bit6   enable frame IRQ


; *** RAM reserve ***
Snd_bgmdata_LSB    = $00
Snd_bgmdata_MSB    = $01
Snd_sfxdata_LSB    = $02
Snd_sfxdata_MSB    = $03
Snd_status         = $04
Snd_freqwork_LSB   = $05
Snd_freqwork_MSB   = $06
Snd_currentCh      = $07
Snd_currentCommand = $08
Snd_bgm            = $07E0
Snd_sfx            = $07E1
Snd_currentbgm     = $07E2
Snd_currentsfx     = $07E3

Snd_ch0counter     = $07E8
Snd_ch1counter     = $07E9
Snd_ch2counter     = $07EA
Snd_ch3counter     = $07EB
Snd_ch4counter     = $07EC
Snd_sfxcounter     = $07ED

Snd_ch0tone        = $07F0
Snd_ch1tone        = $07F1
Snd_ch2tone        = $07F2
Snd_ch3tone        = $07F3
Snd_ch4tone        = $07F4
Snd_sfxtone        = $07F5
Snd_ch0control     = $07F6
Snd_ch1control     = $07F7
Snd_ch2control     = $07F8
Snd_ch3control     = $07F9
Snd_ch4control     = $07FA
Snd_sfxcontrol     = $07FB


; *** constants ***
Snd_FREQVECTOR:
  .dw $07F2  ; A
  .dw $0780  ; A+
  .dw $0714  ; B
  .dw $06AE  ; C
  .dw $064E  ; C+
  .dw $05F4  ; D
  .dw $059E  ; D+
  .dw $054E  ; E
  .dw $0501  ; F
  .dw $04B9  ; F+
  .dw $0476  ; G
  .dw $0436  ; G+


;******************************************************************************
; Initialize
;******************************************************************************
Snd_init:
  lda #$40          ; APU sequencer: 60Hz mode, IRQ disabled
  sta REG_APU_SEQ

  lda #$00
  sta Snd_ch0counter
  sta Snd_ch1counter
  sta Snd_ch2counter
  sta Snd_ch3counter
  sta Snd_ch4counter
  sta Snd_sfxcounter
  sta <Snd_status

  sta REG_APU_STATUS ; all off
  sta REG_APU_CH0_0
  sta REG_APU_CH0_1
  sta REG_APU_CH1_0
  sta REG_APU_CH1_1
  sta REG_APU_NOI_0
  sta REG_APU_DMC_0
  sta REG_APU_DMC_2
  sta REG_APU_DMC_3
  lda #$3F
  sta REG_APU_TRI_0
  lda #$3F
  sta REG_APU_DMC_1
  
  ldx #$00
  stx Snd_bgm
  stx Snd_sfx
  inx
  stx Snd_currentbgm
  stx Snd_currentsfx
  rts


;******************************************************************************
; main
;******************************************************************************
Snd_main:
  lda #$0F              ; UPSGׂėLɂ
  sta REG_APU_STATUS

  jsr Snd_decCounters   ; #0 JE^fNg
  jsr Snd_checkSFX      ; #1 SFXύX`FbN
  jsr Snd_processSFX    ; #2 SFX
  jsr Snd_checkBGM      ; #3 BGMύX`FbN
  jsr Snd_processBGM    ; #4 BGM

  lda <Snd_status       ; Xe[^Xf
  sta REG_APU_STATUS
  and #$0F              ; DMC͔Jn^C~Ô1
  sta <Snd_status
  rts


;******************************************************************************
; declement counter
;******************************************************************************
Snd_decCounters:

.ch0:
  lda Snd_ch0counter
  beq .ch1
  dec Snd_ch0counter
  lda Snd_ch0counter
  bne .ch1
  lda <Snd_status
  and #$1E
  sta <Snd_status
  lda #$00
  sta REG_APU_CH0_0
.ch1:
  lda Snd_ch1counter
  beq .ch2
  dec Snd_ch1counter
  lda Snd_ch1counter
  bne .ch2
  lda Snd_sfx
  bne .ch2
  lda <Snd_status
  and #$1D
  sta <Snd_status
  lda #$00
  sta REG_APU_CH1_0
.ch2:
  lda Snd_ch2counter
  beq .ch3
  dec Snd_ch2counter
  lda Snd_ch2counter
  bne .ch3
  lda <Snd_status
  and #$1B
  sta <Snd_status
  lda #$3F
  sta REG_APU_TRI_0
.ch3:
  lda Snd_ch3counter
  beq .ch4
  dec Snd_ch3counter
  lda Snd_ch3counter
  bne .ch4
  lda <Snd_status
  and #$17
  sta <Snd_status
  lda #$00
  sta REG_APU_NOI_0
.ch4:
  lda Snd_ch4counter
  beq .sfx
  dec Snd_ch4counter
  lda Snd_ch4counter
  bne .sfx
  lda <Snd_status
  and #$0F
  sta <Snd_status
  lda #$3F              ; DACNA
  sta REG_APU_DMC_1
.sfx:
  lda Snd_sfxcounter
  beq .return
  dec Snd_sfxcounter
  lda Snd_sfxcounter
  bne .return
  lda Snd_sfx
  beq .return
  lda #$00
  sta REG_APU_CH1_0
.return:
  rts


;******************************************************************************
; check SFX
;******************************************************************************
Snd_checkSFX:
  lda Snd_sfx
  cmp Snd_currentsfx
  bne .change
  rts
.change:
  sta Snd_currentsfx
  asl a
  tax
  lda Snd_sfxvector, x
  sta Snd_sfxdata_LSB
  inx
  lda Snd_sfxvector, x
  sta Snd_sfxdata_MSB
  lda #1
  sta Snd_sfxcounter

  lda Snd_status
  and #$1D
  sta Snd_status
  rts


;******************************************************************************
; process SFX
;******************************************************************************
Snd_processSFX:
  ldy #0
  lda [Snd_sfxdata_LSB], y
  sta <Snd_currentCommand
  cmp #$FF
  bne .testCounter
.cmdFF:
  lda #$00
  sta Snd_sfx
  sta Snd_currentsfx
  tax
  lda Snd_sfxvector, x
  sta Snd_sfxdata_LSB
  inx
  lda Snd_sfxvector, x
  sta Snd_sfxdata_MSB
  jmp Snd_processSFX
.testCounter:
  lda Snd_sfxcounter
  beq .processCommand
  rts
.processCommand:
  lda <Snd_currentCommand
  and #$F0
  bne .cmd1x
  jmp Snd_processSFX_cmd0X
.cmd1x:
  cmp #$10
  bne .cmd2x
  jmp Snd_processSFX_cmd1X
.cmd2x:
  cmp #$20
  bne .cmd3x
  jmp Snd_processSFX_cmd2X
.cmd3x:
  cmp #$30
  bne .cmdFF
  jmp Snd_processSFX_cmd3X


Snd_processSFX_cmd0X: ; Rg[ #0
  iny
  lda [Snd_sfxdata_LSB], y
  sta Snd_sfxcontrol
  jsr Snd_incsfxaddr
  jsr Snd_incsfxaddr
  jmp Snd_processSFX


Snd_processSFX_cmd1X: ; Rg[ #1 (sweep)
  iny
  lda [Snd_sfxdata_LSB], y
  sta REG_APU_CH1_1
  jsr Snd_incsfxaddr
  jsr Snd_incsfxaddr
  jmp Snd_processSFX


Snd_processSFX_cmd2X: ; JE^ݒ
  iny
  lda [Snd_sfxdata_LSB], y
  sta Snd_sfxcounter
  jsr Snd_incsfxaddr
  jsr Snd_incsfxaddr
  jmp Snd_processSFX


Snd_processSFX_cmd3X: ; KIEJn
  lda Snd_sfxcontrol
  sta REG_APU_CH1_0
  iny
  lda [Snd_sfxdata_LSB], y
  sta Snd_sfxtone
  and #$0F
  asl a
  tax
  lda Snd_FREQVECTOR, x
  sta <Snd_freqwork_LSB
  inx
  lda Snd_FREQVECTOR, x
  sta <Snd_freqwork_MSB
  lda Snd_sfxtone
  lsr a
  lsr a
  lsr a
  lsr a
  tax
  beq .regset
.octave:
  lda <Snd_freqwork_MSB
  lsr a
  sta <Snd_freqwork_MSB
  lda <Snd_freqwork_LSB
  ror a
  sta <Snd_freqwork_LSB
  dex
  bne .octave
.regset:
  lda <Snd_freqwork_LSB
  sta REG_APU_CH1_2
  lda <Snd_freqwork_MSB
  sta REG_APU_CH1_3

  iny
  lda [Snd_sfxdata_LSB], y
  sta Snd_sfxcounter
  
  lda <Snd_status
  ora #$02
  sta <Snd_status
  jsr Snd_incsfxaddr
  jsr Snd_incsfxaddr
  jsr Snd_incsfxaddr
  jmp Snd_processSFX


;******************************************************************************
; check BGM
;******************************************************************************
Snd_checkBGM:
  lda Snd_bgm
  cmp Snd_currentbgm
  bne .change
  rts
.change:
  sta Snd_currentbgm
  asl a
  tax
  lda Snd_bgmvector, x
  sta Snd_bgmdata_LSB
  inx
  lda Snd_bgmvector, x
  sta Snd_bgmdata_MSB
  lda #1
  sta Snd_ch0counter
  sta Snd_ch1counter
  sta Snd_ch2counter
  sta Snd_ch3counter
  sta Snd_ch4counter

  lda Snd_sfxcounter
  beq .sfxoff
.sfxon:
  lda Snd_status
  and #$02
  sta Snd_status
  rts
.sfxoff:
  lda #$00
  sta Snd_status
  rts


;******************************************************************************
; process BGM
;******************************************************************************
Snd_processBGM:
  ldy #0
  lda [Snd_bgmdata_LSB], y
  sta <Snd_currentCommand
  cmp #$FF
  bne .testCounter
.cmdFF:
  lda Snd_currentbgm
  asl a
  tax
  lda Snd_bgmvector, x
  sta Snd_bgmdata_LSB
  inx
  lda Snd_bgmvector, x
  sta Snd_bgmdata_MSB
  jmp Snd_processBGM
.testCounter:
  and #$07
  sta <Snd_currentCh
  tax
  lda Snd_ch0counter, x
  beq .processCommand
  rts
.processCommand:
  lda <Snd_currentCommand
  and #$F0
  bne .cmd1x
  jmp Snd_processBGM_cmd0X
.cmd1x:
  cmp #$10
  bne .cmd2x
  jmp Snd_processBGM_cmd1X
.cmd2x:
  cmp #$20
  bne .cmd3x
  jmp Snd_processBGM_cmd2X
.cmd3x:
  cmp #$30
  bne .cmdFF
  jmp Snd_processBGM_cmd3X


Snd_processBGM_cmd0X: ; Rg[ #0

.ch0:
  lda <Snd_currentCh
  bne .ch1
  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch0control
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM
.ch1:
  cmp #1
  bne .ch3
  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch1control
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM
.ch3:
  cmp #3
  bne .ch4
  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch3control
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM
.ch4:
  iny
  lda [Snd_bgmdata_LSB], y
  sta REG_APU_DMC_0
  iny
  lda [Snd_bgmdata_LSB], y
  sta REG_APU_DMC_2
  iny
  lda [Snd_bgmdata_LSB], y
  sta REG_APU_DMC_3
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM


Snd_processBGM_cmd1X: ; Rg[ #1 (sweep)
  lda <Snd_currentCh
  bne .ch1
.ch0:
  iny
  lda [Snd_bgmdata_LSB], y
  sta REG_APU_CH0_1
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM
.ch1:
  iny
  lda [Snd_bgmdata_LSB], y
  sta REG_APU_CH1_1
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM


Snd_processBGM_cmd2X: ; JE^ݒ
  ldx <Snd_currentCh
  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch0counter, x
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM


Snd_processBGM_cmd3X: ; KIEJn

.ch0:
  lda <Snd_currentCh
  bne .ch1
  lda Snd_ch0control
  sta REG_APU_CH0_0
  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch0tone
  and #$0F
  asl a
  tax
  lda Snd_FREQVECTOR, x
  sta <Snd_freqwork_LSB
  inx
  lda Snd_FREQVECTOR, x
  sta <Snd_freqwork_MSB
  lda Snd_ch0tone
  lsr a
  lsr a
  lsr a
  lsr a
  tax
  beq .regset0
.octave0:
  lda <Snd_freqwork_MSB
  lsr a
  sta <Snd_freqwork_MSB
  lda <Snd_freqwork_LSB
  ror a
  sta <Snd_freqwork_LSB
  dex
  bne .octave0
.regset0:
  lda <Snd_freqwork_LSB
  sta REG_APU_CH0_2
  lda <Snd_freqwork_MSB
  sta REG_APU_CH0_3

  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch0counter
  lda <Snd_status
  ora #$01
  sta <Snd_status
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM

.ch1:
  cmp #1
  bne .ch2
  lda Snd_sfx
  bne .onsfx
  lda Snd_ch1control
  sta REG_APU_CH1_0
  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch1tone
  and #$0F
  asl a
  tax
  lda Snd_FREQVECTOR, x
  sta <Snd_freqwork_LSB
  inx
  lda Snd_FREQVECTOR, x
  sta <Snd_freqwork_MSB
  lda Snd_ch1tone
  lsr a
  lsr a
  lsr a
  lsr a
  tax
  beq .regset1
.octave1:
  lda <Snd_freqwork_MSB
  lsr a
  sta <Snd_freqwork_MSB
  lda <Snd_freqwork_LSB
  ror a
  sta <Snd_freqwork_LSB
  dex
  bne .octave1
.regset1:
  lda <Snd_freqwork_LSB
  sta REG_APU_CH1_2
  lda <Snd_freqwork_MSB
  sta REG_APU_CH1_3

  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch1counter
  lda <Snd_status
  ora #$02
  sta <Snd_status
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM

.onsfx:
  iny
  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch1counter
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM

.ch2:
  cmp #2
  bne .ch3
  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch2tone
  and #$0F
  asl a
  tax
  lda Snd_FREQVECTOR, x
  sta <Snd_freqwork_LSB
  inx
  lda Snd_FREQVECTOR, x
  sta <Snd_freqwork_MSB
  lda Snd_ch2tone
  lsr a
  lsr a
  lsr a
  lsr a
  tax
  beq .regset2
.octave2:
  lda <Snd_freqwork_MSB
  lsr a
  sta <Snd_freqwork_MSB
  lda <Snd_freqwork_LSB
  ror a
  sta <Snd_freqwork_LSB
  dex
  bne .octave2
.regset2:
  lda #$BF
  sta REG_APU_TRI_0
  lda <Snd_freqwork_LSB
  sta REG_APU_TRI_2
  lda <Snd_freqwork_MSB
  sta REG_APU_TRI_3
  lda #$3F              ; DACNAcDMCʃoOcɂȂ邩Ȃ
  sta REG_APU_DMC_1

  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch2counter
  lda <Snd_status
  ora #$04
  sta <Snd_status
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM

.ch3:
  cmp #3
  bne .ch4
  lda Snd_ch3control
  sta REG_APU_NOI_0
  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch3tone
  sta REG_APU_NOI_2
  lda #$00
  sta REG_APU_NOI_3

  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch3counter
  lda <Snd_status
  ora #$08
  sta <Snd_status
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM

.ch4:
  lda #$3F
  sta REG_APU_DMC_1

  iny
  lda [Snd_bgmdata_LSB], y
  sta Snd_ch4counter
  lda <Snd_status
  ora #$10
  sta <Snd_status
  jsr Snd_incbgmaddr
  jsr Snd_incbgmaddr
  jmp Snd_processBGM


;******************************************************************************
; inclement sfxdata address
;******************************************************************************
Snd_incsfxaddr:
  lda Snd_sfxdata_LSB
  clc
  adc #1
  sta Snd_sfxdata_LSB
  lda Snd_sfxdata_MSB
  adc #0
  sta Snd_sfxdata_MSB
  rts

;******************************************************************************
; inclement bgmdata address
;******************************************************************************
Snd_incbgmaddr:
  lda Snd_bgmdata_LSB
  clc
  adc #1
  sta Snd_bgmdata_LSB
  lda Snd_bgmdata_MSB
  adc #0
  sta Snd_bgmdata_MSB
  rts
